Si algunos de nuestros foros, manuales, ALDOS, paquetería o proyectos te han resultado de ayuda, apreciaremos mucho nos apoyes con un donativo.

 Índice > Todo acerca de Linux > Programas y Aplicaciones Nuevo tema Publicar Respuesta
 groupoffice en CentOS 7 src Alcancelibre
Tema anterior Tema siguiente
   
al-serv
Publicado en 14/06/16 01:17 (Leído 1087 veces)  

Miembro Activo

Estado: desconectado
Forum User

Inscrito: 01/03/08
Publicaciones: 604
País:Cataluña
Buenas!
estoy compilando el paquete de groupoffice para iniciar mis primeras pruebas ya que actualmente mis instalaciones de servidores de correo me se hacen extensas ya que instalo postfix y dovecot manualmente con las bd de mysql y quiero simplificar esto un poco y creo que groupoffice puede ser mi solución

el problema que me encuentro es que pide php5.5 y en CentOS 7 hay 5.4... creeis que si lo compilo requiriendo 5.4 funcionara igual de bien??

A parte de esto, me gustaría saber opiniones sobre groupoffice, es sencillo de instalar? ( utilizo groupoffice o groupoffice-install? ) de configurar?? hay alguna demo de groupoffice? utiliza postfix y dovecot?
 
Perfil Sitio Web
 Citar
Joel Barrios Dueñas
Publicado en 15/06/16 01:32  

Admin

Estado: desconectado
Site Admin

Inscrito: 17/02/07
Publicaciones: 1626
País:Mexico
La versión más reciente (6.2.4) pide PHP 5.5 como requisito obligatorio, pero hay una versión previa (5.0.112) que sólo pide PHP 5.3.x. Usa ésa. En AL Server subí la versión de PHP a la 5.6 por eso y por otras aplicaciones. Al rato te paso el enlace desde mi ownCloud (tengo respaldo de groupoffice-5.0.112-1.el7.src.rpm). Los RPMs generados con la versión 5.0.112 ponen permiso 644 a /etc/groupoffice/config.php, cambialo en el *.spec a 640 y grupo apache, creo es el único cambio relevante en cuanto las diferencias entre 6.2.4 y 5.0.112.

Recuerda que con PHP 5.6 tienes que configurar Group-Office para que no valide el anfitrión y certificados en conexiones SSL/TLS para poder conectar a un servidor IMAP con certificado autofirmado (ver artículo que publiqué recientemente). PHP 5.6 exige certificados firmados por un CA o bien que generes un CA propio en tu sistema y generes tus certificados con ese CA y definas la ruta del certificado de CA en la variable openssl.cafile de /etc/php.ini.
 
Perfil Sitio Web
 Citar
Contenido generado en: 0,10 segundos Nuevo tema Publicar Respuesta
 Todas las horas son UTC. Hora actual 06:09 .
Tema normal Tema normal
Tema persistente Tema persistente
Tema cerrado Tema cerrado
Nueva publicación Nueva publicación
Persistente con nueva publicación Persistente con nueva publicación
Cerrado con nueva publicación Cerrado con nueva publicación
Ver publicaciones anónimas 
Usuarios anónimos pueden publicar 
Se permite HTML Filtrado 
Contenido censurado